Subject: Re: I now get linking errors. I think it's a path issue. Could someone lend an eyeball?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 23 May 2001 09:15:50 +0200

Greg McKone schrieb am 2001-05-22, 22:36:

> Cygwin was working fine.  
[...]
> I've read the faqs and still can't sort it out.
> I'm fairly new to UNIX and GCC.
> 
> Here is where I see the error. (pasted from dos window
> -------------------------------------------------------

Dos window is what you should not see.

You need to start X:\cygwin\cygwin.bat to run all the 
cygwin stuff under bash.

This is a different shell. Cygwin-shell understands mounts
and symlinks, dos not...

> AUTOEXEC.BAT looks like this
>  ----------------------------
> SET 
> PATH=D:\GCC\CYGWIN\BIN;D:\GCC\CYGWIN\USR\LOCAL\BIN;D:\GCC\
> CYGWIN\USR\INCLUDE;C:\WINDOWS\COMMAND;C:\WINDOWS;C:\WINDOWS\
> SYSTEM;D:\UTILITY\CODING\VIM\VIM57;

PATH is to set in \gcc\cygwin\etc\profile NOT in autoexec.

Alternative to the shortcut at the desktop to cygwin is to setup 
Environment in /etc/profile correct, 
change to /gcc/cygwin in dos shell and then there run cygwin.bat.

gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple